pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.7.0 20120104 (Red Hat 4.7.0-0)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_mine_detector" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#ded563e8#;
   pragma Export (C, u00001, "mine_detectorB");
   u00002 : constant Version_32 := 16#bebd3d3f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#e50e0229#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#86a26e0d#;
   pragma Export (C, u00004, "gtkS");
   u00005 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00005, "gdkS");
   u00006 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00006, "glibB");
   u00007 : constant Version_32 := 16#b8ba9f75#;
   pragma Export (C, u00007, "glibS");
   u00008 : constant Version_32 := 16#99756144#;
   pragma Export (C, u00008, "ada__tagsB");
   u00009 : constant Version_32 := 16#425ab8ea#;
   pragma Export (C, u00009, "ada__tagsS");
   u00010 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00010, "adaS");
   u00011 : constant Version_32 := 16#0c95d8bc#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#e18505e7#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#919fb168#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#29e1b15a#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#eb6e42ba#;
   pragma Export (C, u00015, "systemS");
   u00016 : constant Version_32 := 16#8c5e58a5#;
   pragma Export (C, u00016, "system__soft_linksB");
   u00017 : constant Version_32 := 16#371ef24c#;
   pragma Export (C, u00017, "system__soft_linksS");
   u00018 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00018, "system__parametersB");
   u00019 : constant Version_32 := 16#5d8c4e7a#;
   pragma Export (C, u00019, "system__parametersS");
   u00020 : constant Version_32 := 16#90ffdd42#;
   pragma Export (C, u00020, "system__secondary_stackB");
   u00021 : constant Version_32 := 16#ff006514#;
   pragma Export (C, u00021, "system__secondary_stackS");
   u00022 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00022, "system__storage_elementsB");
   u00023 : constant Version_32 := 16#11a33f22#;
   pragma Export (C, u00023, "system__storage_elementsS");
   u00024 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00024, "system__stack_checkingB");
   u00025 : constant Version_32 := 16#48ccfe96#;
   pragma Export (C, u00025, "system__stack_checkingS");
   u00026 : constant Version_32 := 16#fc178b81#;
   pragma Export (C, u00026, "system__exception_tableB");
   u00027 : constant Version_32 := 16#7a009e1f#;
   pragma Export (C, u00027, "system__exception_tableS");
   u00028 : constant Version_32 := 16#84debe5c#;
   pragma Export (C, u00028, "system__htableB");
   u00029 : constant Version_32 := 16#68c60cb4#;
   pragma Export (C, u00029, "system__htableS");
   u00030 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00030, "system__string_hashB");
   u00031 : constant Version_32 := 16#cdf29a2e#;
   pragma Export (C, u00031, "system__string_hashS");
   u00032 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00032, "system__exceptionsB");
   u00033 : constant Version_32 := 16#e7908a0d#;
   pragma Export (C, u00033, "system__exceptionsS");
   u00034 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00034, "system__exceptions_debugB");
   u00035 : constant Version_32 := 16#d31e676e#;
   pragma Export (C, u00035, "system__exceptions_debugS");
   u00036 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00036, "system__img_intB");
   u00037 : constant Version_32 := 16#e9b5a278#;
   pragma Export (C, u00037, "system__img_intS");
   u00038 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00038, "system__tracebackB");
   u00039 : constant Version_32 := 16#8ae996cf#;
   pragma Export (C, u00039, "system__tracebackS");
   u00040 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00040, "system__wch_conB");
   u00041 : constant Version_32 := 16#54856c87#;
   pragma Export (C, u00041, "system__wch_conS");
   u00042 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00042, "system__wch_stwB");
   u00043 : constant Version_32 := 16#79944086#;
   pragma Export (C, u00043, "system__wch_stwS");
   u00044 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00044, "system__wch_cnvB");
   u00045 : constant Version_32 := 16#4a7bea51#;
   pragma Export (C, u00045, "system__wch_cnvS");
   u00046 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00046, "interfacesS");
   u00047 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00047, "system__wch_jisB");
   u00048 : constant Version_32 := 16#1e097145#;
   pragma Export (C, u00048, "system__wch_jisS");
   u00049 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00049, "system__traceback_entriesB");
   u00050 : constant Version_32 := 16#b94facfb#;
   pragma Export (C, u00050, "system__traceback_entriesS");
   u00051 : constant Version_32 := 16#818f1ecc#;
   pragma Export (C, u00051, "system__unsigned_typesS");
   u00052 : constant Version_32 := 16#68f8d5f8#;
   pragma Export (C, u00052, "system__val_lluB");
   u00053 : constant Version_32 := 16#fb7d49be#;
   pragma Export (C, u00053, "system__val_lluS");
   u00054 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00054, "system__val_utilB");
   u00055 : constant Version_32 := 16#e0c3d7a5#;
   pragma Export (C, u00055, "system__val_utilS");
   u00056 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00056, "system__case_utilB");
   u00057 : constant Version_32 := 16#46722232#;
   pragma Export (C, u00057, "system__case_utilS");
   u00058 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00058, "interfaces__cB");
   u00059 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00059, "interfaces__cS");
   u00060 : constant Version_32 := 16#e4d3df20#;
   pragma Export (C, u00060, "interfaces__c__stringsB");
   u00061 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00061, "interfaces__c__stringsS");
   u00062 : constant Version_32 := 16#20f9fa25#;
   pragma Export (C, u00062, "system__finalization_mastersB");
   u00063 : constant Version_32 := 16#819bee96#;
   pragma Export (C, u00063, "system__finalization_mastersS");
   u00064 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00064, "system__address_imageB");
   u00065 : constant Version_32 := 16#4a82df80#;
   pragma Export (C, u00065, "system__address_imageS");
   u00066 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00066, "system__img_boolB");
   u00067 : constant Version_32 := 16#1eb73351#;
   pragma Export (C, u00067, "system__img_boolS");
   u00068 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00068, "system__ioB");
   u00069 : constant Version_32 := 16#752cb5f5#;
   pragma Export (C, u00069, "system__ioS");
   u00070 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00070, "ada__finalizationB");
   u00071 : constant Version_32 := 16#40c80ee1#;
   pragma Export (C, u00071, "ada__finalizationS");
   u00072 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00072, "ada__streamsS");
   u00073 : constant Version_32 := 16#f7ab51aa#;
   pragma Export (C, u00073, "system__finalization_rootB");
   u00074 : constant Version_32 := 16#ea12f06f#;
   pragma Export (C, u00074, "system__finalization_rootS");
   u00075 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00075, "system__storage_poolsB");
   u00076 : constant Version_32 := 16#38c05dd7#;
   pragma Export (C, u00076, "system__storage_poolsS");
   u00077 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00077, "system__pool_globalB");
   u00078 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00078, "system__pool_globalS");
   u00079 : constant Version_32 := 16#3ef3e770#;
   pragma Export (C, u00079, "system__memoryB");
   u00080 : constant Version_32 := 16#21e5feaf#;
   pragma Export (C, u00080, "system__memoryS");
   u00081 : constant Version_32 := 16#f1fbff23#;
   pragma Export (C, u00081, "system__crtlS");
   u00082 : constant Version_32 := 16#cc85cacb#;
   pragma Export (C, u00082, "glib__objectB");
   u00083 : constant Version_32 := 16#48691d40#;
   pragma Export (C, u00083, "glib__objectS");
   u00084 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00084, "glib__type_conversion_hooksB");
   u00085 : constant Version_32 := 16#ca0517c4#;
   pragma Export (C, u00085, "glib__type_conversion_hooksS");
   u00086 : constant Version_32 := 16#6da109c8#;
   pragma Export (C, u00086, "system__storage_pools__subpoolsB");
   u00087 : constant Version_32 := 16#578cba01#;
   pragma Export (C, u00087, "system__storage_pools__subpoolsS");
   u00088 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00088, "gtkadaS");
   u00089 : constant Version_32 := 16#2723aba6#;
   pragma Export (C, u00089, "gtkada__bindingsB");
   u00090 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00090, "gtkada__bindingsS");
   u00091 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00091, "gnatS");
   u00092 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00092, "gnat__stringsS");
   u00093 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00093, "system__stringsB");
   u00094 : constant Version_32 := 16#5c84087e#;
   pragma Export (C, u00094, "system__stringsS");
   u00095 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00095, "gtkada__cB");
   u00096 : constant Version_32 := 16#4a721f98#;
   pragma Export (C, u00096, "gtkada__cS");
   u00097 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00097, "gtkada__typesB");
   u00098 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00098, "gtkada__typesS");
   u00099 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00099, "glib__glistB");
   u00100 : constant Version_32 := 16#818cbe87#;
   pragma Export (C, u00100, "glib__glistS");
   u00101 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00101, "glib__gslistB");
   u00102 : constant Version_32 := 16#6bcd89c8#;
   pragma Export (C, u00102, "glib__gslistS");
   u00103 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00103, "system__stream_attributesB");
   u00104 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00104, "system__stream_attributesS");
   u00105 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00105, "ada__io_exceptionsS");
   u00106 : constant Version_32 := 16#be7723ec#;
   pragma Export (C, u00106, "gtk__mainB");
   u00107 : constant Version_32 := 16#2b17f94f#;
   pragma Export (C, u00107, "gtk__mainS");
   u00108 : constant Version_32 := 16#985d5707#;
   pragma Export (C, u00108, "gdk__typesS");
   u00109 : constant Version_32 := 16#19e8f20d#;
   pragma Export (C, u00109, "glib__generic_propertiesB");
   u00110 : constant Version_32 := 16#83a0df00#;
   pragma Export (C, u00110, "glib__generic_propertiesS");
   u00111 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00111, "glib__valuesB");
   u00112 : constant Version_32 := 16#fd53e063#;
   pragma Export (C, u00112, "glib__valuesS");
   u00113 : constant Version_32 := 16#8e4e0eaa#;
   pragma Export (C, u00113, "gdk__eventB");
   u00114 : constant Version_32 := 16#5784673d#;
   pragma Export (C, u00114, "gdk__eventS");
   u00115 : constant Version_32 := 16#fed4b756#;
   pragma Export (C, u00115, "gdk__rectangleB");
   u00116 : constant Version_32 := 16#940333f3#;
   pragma Export (C, u00116, "gdk__rectangleS");
   u00117 : constant Version_32 := 16#a8d456ae#;
   pragma Export (C, u00117, "gdk__windowB");
   u00118 : constant Version_32 := 16#23771788#;
   pragma Export (C, u00118, "gdk__windowS");
   u00119 : constant Version_32 := 16#a2effb8d#;
   pragma Export (C, u00119, "gtk__widgetB");
   u00120 : constant Version_32 := 16#dacffbe3#;
   pragma Export (C, u00120, "gtk__widgetS");
   u00121 : constant Version_32 := 16#4e113de5#;
   pragma Export (C, u00121, "gdk__colorB");
   u00122 : constant Version_32 := 16#30d29a89#;
   pragma Export (C, u00122, "gdk__colorS");
   u00123 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00123, "gdk__visualB");
   u00124 : constant Version_32 := 16#d3f486fe#;
   pragma Export (C, u00124, "gdk__visualS");
   u00125 : constant Version_32 := 16#c1a42731#;
   pragma Export (C, u00125, "gtk__enumsB");
   u00126 : constant Version_32 := 16#55d2e861#;
   pragma Export (C, u00126, "gtk__enumsS");
   u00127 : constant Version_32 := 16#7b2a0067#;
   pragma Export (C, u00127, "gtk__styleB");
   u00128 : constant Version_32 := 16#002d2f7e#;
   pragma Export (C, u00128, "gtk__styleS");
   u00129 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00129, "pangoS");
   u00130 : constant Version_32 := 16#f0ccc9cf#;
   pragma Export (C, u00130, "pango__fontB");
   u00131 : constant Version_32 := 16#35102985#;
   pragma Export (C, u00131, "pango__fontS");
   u00132 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00132, "pango__enumsB");
   u00133 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00133, "pango__enumsS");
   u00134 : constant Version_32 := 16#41ff97f6#;
   pragma Export (C, u00134, "gdk__fontB");
   u00135 : constant Version_32 := 16#48691f5a#;
   pragma Export (C, u00135, "gdk__fontS");
   u00136 : constant Version_32 := 16#930a161c#;
   pragma Export (C, u00136, "gdk__gcB");
   u00137 : constant Version_32 := 16#0e6f1f05#;
   pragma Export (C, u00137, "gdk__gcS");
   u00138 : constant Version_32 := 16#09360bb9#;
   pragma Export (C, u00138, "gdk__regionB");
   u00139 : constant Version_32 := 16#a4d1a749#;
   pragma Export (C, u00139, "gdk__regionS");
   u00140 : constant Version_32 := 16#1e329ea4#;
   pragma Export (C, u00140, "gdk__pixmapB");
   u00141 : constant Version_32 := 16#acfb0eb2#;
   pragma Export (C, u00141, "gdk__pixmapS");
   u00142 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00142, "gdk__bitmapB");
   u00143 : constant Version_32 := 16#f699f3eb#;
   pragma Export (C, u00143, "gdk__bitmapS");
   u00144 : constant Version_32 := 16#90c206fb#;
   pragma Export (C, u00144, "gtk__objectB");
   u00145 : constant Version_32 := 16#27278f6e#;
   pragma Export (C, u00145, "gtk__objectS");
   u00146 : constant Version_32 := 16#99f66a58#;
   pragma Export (C, u00146, "glib__propertiesB");
   u00147 : constant Version_32 := 16#20064441#;
   pragma Export (C, u00147, "glib__propertiesS");
   u00148 : constant Version_32 := 16#ea73ebeb#;
   pragma Export (C, u00148, "pango__layoutB");
   u00149 : constant Version_32 := 16#a52f6fcc#;
   pragma Export (C, u00149, "pango__layoutS");
   u00150 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00150, "pango__attributesB");
   u00151 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00151, "pango__attributesS");
   u00152 : constant Version_32 := 16#d0f1fd34#;
   pragma Export (C, u00152, "pango__contextB");
   u00153 : constant Version_32 := 16#510f4503#;
   pragma Export (C, u00153, "pango__contextS");
   u00154 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00154, "pango__tabsB");
   u00155 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00155, "pango__tabsS");
   u00156 : constant Version_32 := 16#84bf086e#;
   pragma Export (C, u00156, "gtk__windowB");
   u00157 : constant Version_32 := 16#21c079ea#;
   pragma Export (C, u00157, "gtk__windowS");
   u00158 : constant Version_32 := 16#e7a7096b#;
   pragma Export (C, u00158, "gdk__pixbufB");
   u00159 : constant Version_32 := 16#fe0fa06a#;
   pragma Export (C, u00159, "gdk__pixbufS");
   u00160 : constant Version_32 := 16#4a4b6d8a#;
   pragma Export (C, u00160, "gdk__cursorB");
   u00161 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00161, "gdk__cursorS");
   u00162 : constant Version_32 := 16#6a194cfe#;
   pragma Export (C, u00162, "gdk__displayB");
   u00163 : constant Version_32 := 16#53bae232#;
   pragma Export (C, u00163, "gdk__displayS");
   u00164 : constant Version_32 := 16#5e743afd#;
   pragma Export (C, u00164, "gdk__drawableB");
   u00165 : constant Version_32 := 16#242c5795#;
   pragma Export (C, u00165, "gdk__drawableS");
   u00166 : constant Version_32 := 16#b0a246c7#;
   pragma Export (C, u00166, "gdk__rgbB");
   u00167 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00167, "gdk__rgbS");
   u00168 : constant Version_32 := 16#e823a664#;
   pragma Export (C, u00168, "glib__errorB");
   u00169 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00169, "glib__errorS");
   u00170 : constant Version_32 := 16#3b453c44#;
   pragma Export (C, u00170, "gtk__accel_groupB");
   u00171 : constant Version_32 := 16#7b082be7#;
   pragma Export (C, u00171, "gtk__accel_groupS");
   u00172 : constant Version_32 := 16#4d2f077a#;
   pragma Export (C, u00172, "gtk__binB");
   u00173 : constant Version_32 := 16#d0d23cff#;
   pragma Export (C, u00173, "gtk__binS");
   u00174 : constant Version_32 := 16#2132e0ca#;
   pragma Export (C, u00174, "gtk__containerB");
   u00175 : constant Version_32 := 16#bf87e472#;
   pragma Export (C, u00175, "gtk__containerS");
   u00176 : constant Version_32 := 16#ade65bb5#;
   pragma Export (C, u00176, "gtk__adjustmentB");
   u00177 : constant Version_32 := 16#f6bcc6fd#;
   pragma Export (C, u00177, "gtk__adjustmentS");
   u00178 : constant Version_32 := 16#20e59dd3#;
   pragma Export (C, u00178, "user_ifB");
   u00179 : constant Version_32 := 16#579442af#;
   pragma Export (C, u00179, "user_ifS");
   u00180 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00180, "ada__charactersS");
   u00181 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00181, "ada__characters__latin_1S");
   u00182 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00182, "ada__stringsS");
   u00183 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00183, "ada__strings__unboundedB");
   u00184 : constant Version_32 := 16#2bf53506#;
   pragma Export (C, u00184, "ada__strings__unboundedS");
   u00185 : constant Version_32 := 16#00363e01#;
   pragma Export (C, u00185, "ada__strings__searchB");
   u00186 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00186, "ada__strings__searchS");
   u00187 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00187, "ada__strings__mapsB");
   u00188 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00188, "ada__strings__mapsS");
   u00189 : constant Version_32 := 16#55bf224d#;
   pragma Export (C, u00189, "system__bit_opsB");
   u00190 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00190, "system__bit_opsS");
   u00191 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00191, "system__compare_array_unsigned_8B");
   u00192 : constant Version_32 := 16#3155b477#;
   pragma Export (C, u00192, "system__compare_array_unsigned_8S");
   u00193 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00193, "system__address_operationsB");
   u00194 : constant Version_32 := 16#2b10ab2d#;
   pragma Export (C, u00194, "system__address_operationsS");
   u00195 : constant Version_32 := 16#3b8ad87b#;
   pragma Export (C, u00195, "system__atomic_countersB");
   u00196 : constant Version_32 := 16#a1f22e0e#;
   pragma Export (C, u00196, "system__atomic_countersS");
   u00197 : constant Version_32 := 16#fa841685#;
   pragma Export (C, u00197, "fieldS");
   u00198 : constant Version_32 := 16#3b5f9f65#;
   pragma Export (C, u00198, "field__operationsB");
   u00199 : constant Version_32 := 16#0244ca25#;
   pragma Export (C, u00199, "field__operationsS");
   u00200 : constant Version_32 := 16#84ad4a42#;
   pragma Export (C, u00200, "ada__numericsS");
   u00201 : constant Version_32 := 16#4fb2317d#;
   pragma Export (C, u00201, "system__random_numbersB");
   u00202 : constant Version_32 := 16#a7445e5a#;
   pragma Export (C, u00202, "system__random_numbersS");
   u00203 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00203, "system__img_unsB");
   u00204 : constant Version_32 := 16#1e7b223b#;
   pragma Export (C, u00204, "system__img_unsS");
   u00205 : constant Version_32 := 16#cb03d759#;
   pragma Export (C, u00205, "system__random_seedB");
   u00206 : constant Version_32 := 16#cb38b3f6#;
   pragma Export (C, u00206, "system__random_seedS");
   u00207 : constant Version_32 := 16#0f244912#;
   pragma Export (C, u00207, "ada__calendarB");
   u00208 : constant Version_32 := 16#0bc00dc5#;
   pragma Export (C, u00208, "ada__calendarS");
   u00209 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00209, "system__os_primitivesB");
   u00210 : constant Version_32 := 16#5bbfce93#;
   pragma Export (C, u00210, "system__os_primitivesS");
   u00211 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00211, "system__val_unsB");
   u00212 : constant Version_32 := 16#9127f3f7#;
   pragma Export (C, u00212, "system__val_unsS");
   u00213 : constant Version_32 := 16#45c8dd84#;
   pragma Export (C, u00213, "gtk__argumentsB");
   u00214 : constant Version_32 := 16#e125a355#;
   pragma Export (C, u00214, "gtk__argumentsS");
   u00215 : constant Version_32 := 16#1bd4f50b#;
   pragma Export (C, u00215, "gtk__boxB");
   u00216 : constant Version_32 := 16#076814a5#;
   pragma Export (C, u00216, "gtk__boxS");
   u00217 : constant Version_32 := 16#efa25bd1#;
   pragma Export (C, u00217, "gtk__buttonB");
   u00218 : constant Version_32 := 16#0e664a3f#;
   pragma Export (C, u00218, "gtk__buttonS");
   u00219 : constant Version_32 := 16#714e46c1#;
   pragma Export (C, u00219, "gtk__check_buttonB");
   u00220 : constant Version_32 := 16#15544b8c#;
   pragma Export (C, u00220, "gtk__check_buttonS");
   u00221 : constant Version_32 := 16#e8e44e93#;
   pragma Export (C, u00221, "gtk__toggle_buttonB");
   u00222 : constant Version_32 := 16#9dd15cf8#;
   pragma Export (C, u00222, "gtk__toggle_buttonS");
   u00223 : constant Version_32 := 16#5961b4ba#;
   pragma Export (C, u00223, "gtk__dialogB");
   u00224 : constant Version_32 := 16#56305d67#;
   pragma Export (C, u00224, "gtk__dialogS");
   u00225 : constant Version_32 := 16#0d7672a3#;
   pragma Export (C, u00225, "gtk__handlersB");
   u00226 : constant Version_32 := 16#e1750c08#;
   pragma Export (C, u00226, "gtk__handlersS");
   u00227 : constant Version_32 := 16#1bab9eaa#;
   pragma Export (C, u00227, "system__assertionsB");
   u00228 : constant Version_32 := 16#48caa411#;
   pragma Export (C, u00228, "system__assertionsS");
   u00229 : constant Version_32 := 16#7e6e5abe#;
   pragma Export (C, u00229, "gtk__marshallersB");
   u00230 : constant Version_32 := 16#141b1717#;
   pragma Export (C, u00230, "gtk__marshallersS");
   u00231 : constant Version_32 := 16#c7b124f5#;
   pragma Export (C, u00231, "gtk__notebookB");
   u00232 : constant Version_32 := 16#1225af0c#;
   pragma Export (C, u00232, "gtk__notebookS");
   u00233 : constant Version_32 := 16#de3dba23#;
   pragma Export (C, u00233, "gtk__tree_modelB");
   u00234 : constant Version_32 := 16#06785c8e#;
   pragma Export (C, u00234, "gtk__tree_modelS");
   u00235 : constant Version_32 := 16#18caa945#;
   pragma Export (C, u00235, "gtk__labelB");
   u00236 : constant Version_32 := 16#2af49be3#;
   pragma Export (C, u00236, "gtk__labelS");
   u00237 : constant Version_32 := 16#a1662605#;
   pragma Export (C, u00237, "gtk__miscB");
   u00238 : constant Version_32 := 16#7aa6b02d#;
   pragma Export (C, u00238, "gtk__miscS");
   u00239 : constant Version_32 := 16#6602eb91#;
   pragma Export (C, u00239, "gtk__menuB");
   u00240 : constant Version_32 := 16#af32997d#;
   pragma Export (C, u00240, "gtk__menuS");
   u00241 : constant Version_32 := 16#86b05d0e#;
   pragma Export (C, u00241, "gtk__menu_shellB");
   u00242 : constant Version_32 := 16#6cad757a#;
   pragma Export (C, u00242, "gtk__menu_shellS");
   u00243 : constant Version_32 := 16#cdb20c55#;
   pragma Export (C, u00243, "gtk__menu_itemB");
   u00244 : constant Version_32 := 16#94cf1912#;
   pragma Export (C, u00244, "gtk__menu_itemS");
   u00245 : constant Version_32 := 16#72bb3631#;
   pragma Export (C, u00245, "gtk__itemB");
   u00246 : constant Version_32 := 16#f46af26f#;
   pragma Export (C, u00246, "gtk__itemS");
   u00247 : constant Version_32 := 16#f09675e6#;
   pragma Export (C, u00247, "gdk__screenB");
   u00248 : constant Version_32 := 16#d53cd81a#;
   pragma Export (C, u00248, "gdk__screenS");
   u00249 : constant Version_32 := 16#6eb63964#;
   pragma Export (C, u00249, "gtk__option_menuB");
   u00250 : constant Version_32 := 16#6d25d864#;
   pragma Export (C, u00250, "gtk__option_menuS");
   u00251 : constant Version_32 := 16#f4a92600#;
   pragma Export (C, u00251, "gtk__radio_menu_itemB");
   u00252 : constant Version_32 := 16#b478789e#;
   pragma Export (C, u00252, "gtk__radio_menu_itemS");
   u00253 : constant Version_32 := 16#db660413#;
   pragma Export (C, u00253, "gtk__check_menu_itemB");
   u00254 : constant Version_32 := 16#01fb11ba#;
   pragma Export (C, u00254, "gtk__check_menu_itemS");
   u00255 : constant Version_32 := 16#b7bd48f8#;
   pragma Export (C, u00255, "gtk__scrolled_windowB");
   u00256 : constant Version_32 := 16#a9786a77#;
   pragma Export (C, u00256, "gtk__scrolled_windowS");
   u00257 : constant Version_32 := 16#5961d104#;
   pragma Export (C, u00257, "gtk__scrollbarB");
   u00258 : constant Version_32 := 16#9ea88404#;
   pragma Export (C, u00258, "gtk__scrollbarS");
   u00259 : constant Version_32 := 16#ae4af044#;
   pragma Export (C, u00259, "gtk__grangeB");
   u00260 : constant Version_32 := 16#1cfebfa1#;
   pragma Export (C, u00260, "gtk__grangeS");
   u00261 : constant Version_32 := 16#3c1b7641#;
   pragma Export (C, u00261, "gtk__tableB");
   u00262 : constant Version_32 := 16#b35d5a3b#;
   pragma Export (C, u00262, "gtk__tableS");
   u00263 : constant Version_32 := 16#1e52b639#;
   pragma Export (C, u00263, "gtk__textB");
   u00264 : constant Version_32 := 16#475df917#;
   pragma Export (C, u00264, "gtk__textS");
   u00265 : constant Version_32 := 16#4ca2e6ea#;
   pragma Export (C, u00265, "gtk__old_editableB");
   u00266 : constant Version_32 := 16#0bb7245f#;
   pragma Export (C, u00266, "gtk__old_editableS");
   u00267 : constant Version_32 := 16#947ccb14#;
   pragma Export (C, u00267, "gtkada__dialogsB");
   u00268 : constant Version_32 := 16#abf983d4#;
   pragma Export (C, u00268, "gtkada__dialogsS");
   u00269 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00269, "ada__strings__fixedB");
   u00270 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00270, "ada__strings__fixedS");
   u00271 : constant Version_32 := 16#fa34bced#;
   pragma Export (C, u00271, "gtk__pixmapB");
   u00272 : constant Version_32 := 16#6a6ea406#;
   pragma Export (C, u00272, "gtk__pixmapS");
   u00273 : constant Version_32 := 16#3fd59d40#;
   pragma Export (C, u00273, "gtkada__intlB");
   u00274 : constant Version_32 := 16#d1bbb778#;
   pragma Export (C, u00274, "gtkada__intlS");
   u00275 : constant Version_32 := 16#95e49ce1#;
   pragma Export (C, u00275, "gtkada__pixmapsS");
   u00276 : constant Version_32 := 16#dd13bf65#;
   pragma Export (C, u00276, "system__exn_lliB");
   u00277 : constant Version_32 := 16#6af93915#;
   pragma Export (C, u00277, "system__exn_lliS");
   u00278 : constant Version_32 := 16#6f001a54#;
   pragma Export (C, u00278, "system__exp_unsB");
   u00279 : constant Version_32 := 16#bc43bd66#;
   pragma Export (C, u00279, "system__exp_unsS");
   u00280 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00280, "system__val_intB");
   u00281 : constant Version_32 := 16#a3cb6885#;
   pragma Export (C, u00281, "system__val_intS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.exp_uns%s
   --  system.exp_uns%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.val_int%s
   --  system.val_llu%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_llu%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.random_numbers%s
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  system.secondary_stack%b
   --  system.random_numbers%b
   --  system.address_image%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  field%s
   --  field.operations%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gtk%s
   --  gtk.tree_model%s
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%b
   --  gtk.tree_model%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.screen%s
   --  gdk.screen%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.arguments%s
   --  gtk.arguments%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.button%s
   --  gtk.button%b
   --  gtk.grange%s
   --  gtk.grange%b
   --  gtk.item%s
   --  gtk.item%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.marshallers%s
   --  gtk.marshallers%b
   --  gtk.menu_item%s
   --  gtk.menu_item%b
   --  gtk.check_menu_item%s
   --  gtk.check_menu_item%b
   --  gtk.menu_shell%s
   --  gtk.menu_shell%b
   --  gtk.menu%s
   --  gtk.menu%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.notebook%s
   --  gtk.notebook%b
   --  gtk.old_editable%s
   --  gtk.old_editable%b
   --  gtk.option_menu%s
   --  gtk.option_menu%b
   --  gtk.radio_menu_item%s
   --  gtk.radio_menu_item%b
   --  gtk.scrollbar%s
   --  gtk.scrollbar%b
   --  gtk.scrolled_window%s
   --  gtk.scrolled_window%b
   --  gtk.table%s
   --  gtk.table%b
   --  gtk.text%s
   --  gtk.text%b
   --  gtk.toggle_button%s
   --  gtk.toggle_button%b
   --  gtk.check_button%s
   --  gtk.check_button%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.handlers%s
   --  gtk.handlers%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  user_if%s
   --  user_if%b
   --  field.operations%b
   --  mine_detector%b
   --  END ELABORATION ORDER


end ada_main;
